/*
	Copyright  2006. A.B. alias Arnitald. All Rights Reserved.
	This Jscript code may not be reproduced in whole or in part without my expressed permission.
*/

function TRACE (message,value){
	theme.savePreference(message,value);
}

function onLoadPreview()
{	
	if(player){}
	view.backgroundImage = "";
	view.width = 0;
	view.height = 0;
	theme.currentViewID = "overView";
}

function saveSwitch(key, val)
{
	var value;
	

	if (val == "TRUE")
	{
		value = "turnon";
	}
	else if (val == "FALSE")
	{
		value = "turnoff";
	}
	else if (val) 
	{
		value = "turnon";
	}
	else 
	{
		value = "turnoff";
	}
	
	theme.savePreference(key, value);
}

function loadSwitch(key){

	if ("turnon" == theme.loadPreference(key)) 
	{
		return true;
	}
	else 
	{
		return false;
	}
}


function ViewState()
{

	if(loadSwitch("minimizeView"))
	{
		view.minimize();
		saveSwitch("minimizeView", false);
	}
	if(loadSwitch("closeView"))
	{
		view.close();
	}
	if(loadSwitch("plSwitch"))
	{
		toggleView("plView","plWindow");
		saveSwitch("plSwitch", false);
	}
	if(loadSwitch("visSwitch"))
	{
		toggleView("visView","visWindow");
		saveSwitch("visSwitch", false);
	}
	if(loadSwitch("eqSwitch"))
	{
		toggleView("eqView","eqWindow");
		saveSwitch("eqSwitch", false);
	}
	if(loadSwitch("infoSwitch"))
	{
		toggleView("infoView","infoWindow");
		saveSwitch("infoSwitch", false);
	}
}

function toggleView(name,id)
{
	if(loadSwitch(id))
	{
	    saveSwitch(id, false);
		theme.closeView( name );
	} else{
		theme.openView( name );
	}
}

//Close Views

function closeView(id)
{
	saveSwitch(id, false);
	
	if( id=="vidWindow" )
		{
			player.controls.stop();
			saveSwitch("vidWindow",false);
		}
			
	view.close();
}

//Close Skin

function OnCloseSkin()
{
	saveSwitch("closeView", false);
	saveSwitch("vidWindow", false);
}
//Start Skin

function OnStartSkin(){
	
	if(loadSwitch("plWindow"))
	{
		theme.openView("plView");
	}
	if(loadSwitch("visWindow"))
	{
		theme.openView("visView");
	}
	if(loadSwitch("eqWindow"))
	{
		theme.openView("eqView");
	}
	if(loadSwitch("infoWindow"))
	{
		theme.openView("infoView");
	}
	 
	theme.openView("playerView");
	saveSwitch("closeView",false);
	saveSwitch("vidWindow",false);
	checkVideoView();
}

var plReverse = false;
var offTimer = false;

function iniPl() {
	if (!plReverse) {
		playerView.timerInterval = 3000;
		plReverse = true;
		plIniSub.visible = true;
		plIniSub.backgroundImage = "pl_ini.gif"
		plIniSub.passThrough = true;
		mControlBut.image = mControlBut.hoverImage;
		mControlPause.image = mControlPause.hoverImage;
		wControlBut.image = wControlBut.hoverImage;
		plInfoBut.image = plInfoBut.hoverImage;
		plIniButGrp.image = plIniButGrp.hoverImage;
		offTimer = true;
	}else if (offTimer){
		mControlBut.image = "pl_buttons_mcontrol_no.gif";
		mControlPause.image = "pl_buttons_mpause_no.gif";
		wControlBut.image = "pl_buttons_wcontrol_no.gif";
		plIniButGrp.image = "pl_ini_but_no.gif"
		plInfoBut.image = "pl_info_no.gif";
		playerView.timerInterval = 0;
		offTimer = false;
		plIniBut.upToolTip = "Turn Off"
	}else{
		plIniSub.backgroundImage = "pl_reverse.gif"
		plIniBut.upToolTip = "Turn On"
		//playerView.timerInterval = 0;
		plReverse = false;
		offTimer = false;
	}
}

function onLoadPreview()
{	
	if(player){}
	view.backgroundImage = "";
	view.width = 0;
	view.height = 0;
	theme.currentViewID = "overView";
}

function mainLoad()
{
	updateMetaData();
	updateVolumeToolTip();
}

//Save Size of Window

function saveViewSize(width,height)
{
	theme.savePreference(width,view.width);
	theme.savePreference(height,view.height);
}

//Size View

function sizeView(width,height)
{
	var viewWidth = theme.loadPreference(width);
	if(viewWidth != "--"){
		view.width = viewWidth;
	}
	else{
		view.width = view.minWidth;
	}
	var viewHeight = theme.loadPreference(height);
	if(viewHeight != "--"){
		view.height = viewHeight;
	}
	else{
		view.height = view.minHeight;
	}
}

var timeReverse = false;

function reverseTime() {
	if (!timeReverse) {
		timeEllapsed.value = player.controls.currentPositionString;
		timeReverse = true;
	}else{
		timeEllapsed.value = player.currentMedia.DurationString - player.controls.currentPositionString;
		timeReverse = false;
	}
}
//Dynamic Text Updating with updateMetaData()

function updateMetaData(){
		
		if(!player.currentPlaylist.count==0) {
			seek.enabled = true;		
			var status = player.status;
			var name = player.currentMedia.name;
			var author = player.currentMedia.getItemInfo("author");
			var playlist = player.currentPlaylist.name;
			
			var metaValue = status;
			// eg playing 128K Bits - from Playlist: Music
			//for files without author
			if (author != ""){
				metaValue += " - " + author;
				// eg playing 128K Bits - from Playlist: Music - Massive Attack
			}
			metaValue += " - " + name + "/" + playlist;
			// eg playing 128K Bits - from Playlist: Music - Massive Attack - Mezzanine
			metadata.value = metaValue;
			metadata.scrolling = (metadata.textWidth > metadata.width);
		}
		else{
			seek.enabled = false;
			metadata.value="Select Media";
			metadata.scrolling="false";
		}
	
}

function updateMetaDataOS(){
	currentOpenState = player.openstate;
	switch (currentOpenState){
		case 10:
				metadata.value = "connecting to server";
				metadata.scrolling = (metadata.textWidth > metadata.width);
				break;
		//case 11:
				//metadata.value = "retrieving media";
				//metadata.scrolling = (metadata.textWidth > metadata.width);
				//break;
		//case 13:
				//updateMetaData();
				//break;
	}
}

function updateMetaDataPS(){
	currentPlayState = player.playstate;
	switch (currentPlayState){
		case 6:
				metadata.value = "buffering";
				metadata.scrolling = (metadata.textWidth > metadata.width);
				break;
		case 7:
				metadata.value = "waiting for media";
				metadata.scrolling = (metadata.textWidth > metadata.width);
				break;
	}
}

function updateEllapsedTime ()
{

	if(player.openState!=13) return;
	
	timeEllapsed.visible = false;
	
	var seekHours = Math.floor((seek.value / 3600));
	if (seekHours < 10) seekHours = "0" + seekHours;

	var seekMinutes = Math.floor((seek.value - (seekHours*3600))/60);
	if (seekMinutes < 10) seekMinutes = "0" + seekMinutes;

	var seekSeconds = Math.floor((seek.value - (seekMinutes*60) - (seekHours*3600)));
	if (seekSeconds < 10) seekSeconds = "0" + seekSeconds;

	var seekString;

	if (seekHours==00)
	{
		seekString = "";
	}
	else
	{
		seekString = seekHours + ":";
	}

	seekString += seekMinutes + ":" + seekSeconds;
	
	timeEllapsedSlide.visible = true;
	timeEllapsedSlide.value = seekString;

}

function dragEnd()
{
	timeEllapsedSlide.visible = false;
	timeEllapsed.visible = true;
}

function positionKey(event)
{
	if(player.openState!=13) return;
	switch(event.keycode)
	{
		case 109:
		case 37:
		case 40:
			if(player.controls.currentPosition > 5)
			{
				player.controls.currentPosition-=5;
			}else{
				player.controls.currentPosition = 0;
			}
			break;
		case 107:
		case 38:
		case 39:
			if(player.controls.currentPosition < player.currentMedia.duration)
			{
				player.controls.currentPosition+=5;
			}else{
				player.controls.currentPosition = player.currentMedia.duration;
			}
			break;
	}
}

function openFile()
{
	var file = theme.openDialog('FILE_OPEN','FILES_ALLMEDIA');
	
	//if (loadSwitch("plView")) {
		//playlist1.playlist = player.playlistCollection.getByName("Open File").item(0);
	//}
	
	//save "Open File" as current playlist into reg
	
	if (loadSwitch("lbLoaded")){
		theme.savePreference("playlist", "Open File");
	}
	
	if(file)
	{
		player.URL = file;
		player.controls.play();
	}
	
}

function updateVolumeToolTip(){
	var volumeString;
	volumeString = player.settings.volume;
	volume.tooltip = "Volume: " + volumeString;
}

function updateVolumeToolTip2(){
	var volumeString;
	volumeString = player.settings.volume;
	videoVolume.tooltip = "Volume: " + volumeString;
}

function updateSeekToolTip(){


	var hours = Math.floor((videoSeek.value / 3600));
	if (hours < 10) hours = "0" + hours;



	var minutes = Math.floor((videoSeek.value - (hours*3600))/60);
	if (minutes < 10) minutes = "0" + minutes;



	var seconds = Math.floor((videoSeek.value - (minutes*60) - (hours*3600)));
	if (seconds < 10) seconds = "0" + seconds;

	var seekString;


	if (hours==00)
	{
		seekString = "";
	}
	else
	{
		seekString = hours + ":";
	}

	seekString += minutes + ":" + seconds;

	videoSeek.toolTip = seekString + " / " + player.currentMedia.durationString;

}



function volKey(event)
{
	if(player.openState!=13) return;
	switch(event.keycode)
	{
		case 109:
		case 39:
		case 40:
			if(player.settings.volume > 5)
			{
				player.settings.volume-=5;
			}else{
				player.settings.volume = 0;
			}
			break;
		case 107:
		case 38:
		case 37:
			if(player.settings.volume < 95)
			{
				player.settings.volume+=5;
			}else{
				player.settings.volume = 100;
			}
			break;
	}
}


//PLAYLIST

function loadPl()
{
	
	saveSwitch("plWindow", "TRUE");
	saveSwitch("lbLoaded","FALSE");
	saveSwitch("searchResPl","FALSE");
	sizeView("plWidth","plHeight");
	/*iniSplitter();
	populateListbox();
	fixListboxHeight();*/
	
	playlist1.setColumnResizeMode(1, "AutosizeData");
	playlist1.setColumnResizeMode(2, "AutosizeData");
	playlist1.setColumnResizeMode(3, "Stretches");
	playlist1.setColumnResizeMode(4, "AutosizeHeader");
	playlist1.setColumnResizeMode(5, "AutosizeHeader");
	playlist1.setColumnResizeMode(5, "AutosizeHeader");
	
	checkShuffle();
	iniSplitter();
	populateListbox();
	fixListboxHeight();
}

function savePl()
{
	saveViewSize( "plWidth","plHeight");
	theme.savePreference("splitterSubLeft", splitterSub.left)
}

function checkShuffle()
{
	if(player.settings.getMode("shuffle")){
		shuffleButton.down = true;
	}
	else{
		shuffleButton.down = false;
	}
	if(player.settings.getMode("loop")){
		loopButton.down = true;
	}
	else{
		loopButton.down = false;
	}
}

function iniSplitter(){
	TRACE("LEFT1",splitterSub.left);
	if(theme.loadPreference("splitterSubLeft") == "--" || splitterSub.left < 200) {
		splitterSub.left = 200;
	}else{
		splitterSub.left = theme.loadPreference("splitterSubLeft");
	}
	
	TRACE("LEFT",splitterSub.left);
	
	plOuterFrame.left = splitterSub.left + 8;
	plOuterFrame.width = plView.width - 50 - splitterSub.left;
	
	plEditboxSub.width = splitterSub.left - 42;
	plListboxSub.width = splitterSub.left - 42;
	//listbox1.width = splitterSub.left - 42;
	libSub.width = splitterSub.left - 42;
	
	checkSplitter();
}

function checkSplitter(){
	if(splitterSub.left > plView.width - 100 - 8){
		splitterSub.left = splitterSub.left - 50;
		
		plOuterFrame.left = splitterSub.left + 8;
		plOuterFrame.width = plView.width - 50 - splitterSub.left;
	
		plEditboxSub.width = splitterSub.left - 42;
		plListboxSub.width = splitterSub.left - 42;
		//listbox1.width = splitterSub.left - 42;
		libSub.width  = splitterSub.left - 42;
	
		}
		
	fixListboxHeight();
}
function moveSplitter(event){
	var newsplitterx = event.x;
	theme.savePreference("Xnew",newsplitterx);
	
	var newLeft = splitterSub.left + newsplitterx;
	var windowMarginRight = plView.width - 100 - 8;
	var windowMarginLeft = 100;
	
	//check for borders
	
	if (newLeft < windowMarginLeft){
		splitterSub.left = windowMarginLeft;
	}else if (newLeft > windowMarginRight){
		splitterSub.left = windowMarginRight;
	}else{ 
		splitterSub.left = newLeft;
	}
	
	//position things
	
	plOuterFrame.left = splitterSub.left + 8;
	plOuterFrame.width = plView.width - 50 - splitterSub.left;
	
	plEditboxSub.width = splitterSub.left - 42;
	plListboxSub.width = splitterSub.left - 42;
	//listbox1.width = splitterSub.left - 42;
	libSub.width  = splitterSub.left - 42;
}

function editboxFocus()
{
	if(plSearchEditbox.value=="Search..."){
		plSearchEditbox.value = "";
	}
}

function editboxBlur()
{
	if(plSearchEditbox.value==""){
		plSearchEditbox.value = "Search...";
	}
}

function searchKey(event){
	//if key enter
	if(event.keycode == 13){
		searchMedia(plSearchEditbox.value);
	}
	
	//button enabling
	if(plSearchEditbox.value == "Search..." || plSearchEditbox.value == "" ){
		plSearchButton.enabled = "false";
	}else{
		plSearchButton.enabled = "true";
	}
}

function searchMedia(string){
	if(string == "") return;
	
	//create new blank playlist, get all media into one playlist
	var newlist = player.newPlaylist("","");
	var allmedia = player.mediaCollection.getAll();
	
	//get item's title, author, album title or artist, genre
	for (i=0;i<allmedia.count;i++)
	{
		
		// get attribute value for item i from all by player.collection.playlist.media.attribute(attribute index), eliminate case
		var title = allmedia.item(i).getItemInfoByAtom(player.mediaCollection.getMediaAtom("Title")).toLowerCase();									   
		var author = allmedia.item(i).getItemInfoByAtom(player.mediaCollection.getMediaAtom("Author")).toLowerCase();								
		var alTitle = allmedia.item(i).getItemInfoByAtom(player.mediaCollection.getMediaAtom("WM/AlbumTitle")).toLowerCase();								 
		var alArtist = allmedia.item(i).getItemInfoByAtom(player.mediaCollection.getMediaAtom("WM/AlbumArtist")).toLowerCase();							  
		var genre = allmedia.item(i).getItemInfoByAtom(player.mediaCollection.getMediaAtom("WM/Genre")).toLowerCase();
																						   
		//scan in title, author, album title and artist or genre for substring with .indexOf method (no match = -1)
		//adjust string
		var string = string.toLowerCase();
		if ( title.indexOf(string) != -1 || author.indexOf(string) != -1 || alTitle.indexOf(string) != -1 || alArtist.indexOf(string) != -1 || genre.indexOf(string) != -1 )
		{
			
			//append the matching media to the new blank playlist
			newlist.appendItem(allmedia.item(i));
		}									 
	}
	
	//display playlist
	playlist1.playlist = newlist;
	saveSwitch("searchResPl","TRUE");
}

function onCdromChange(){
	populateListbox();
}


function populateListbox(){

		listbox1.deleteAll();
		
		listbox1.appendItem("Now Playing")
		
		//fill playlists in listbox1
		
		var plArray = player.playlistCollection.getAll();
		var plArrayCount = plArray.count;
		
		
		for (i=0;i<plArrayCount;i++)
		{
			listbox1.appendItem(plArray.item(i).name);
		}
		
		//fill cd drives
		
		var cdCollectionCount = player.cdromCollection.count;
		
		for (i=0;i<cdCollectionCount;i++)
		{
			var cdItem = player.cdromCollection.item(i);
			var cdString = "Drive " + cdItem.driveSpecifier + " " + cdItem.playlist.name;
			listbox1.appendItem(cdString);
		}
		//fixing item
		
		saveSwitch("lbLoaded","TRUE");
		
		if (listbox1.selectedItem < 0) {
			listbox1.selectedItem = 0;
		}
	
}
function fixListboxHeight(){
	var subviewHeight = plListboxSub.height;
	var listboxItemCount = listbox1.itemCount;
	var listboxItemHeight = 12;
	
	var listboxSize = (listboxItemCount*listboxItemHeight) + 1;
	
	//render
	
	if (listboxSize < subviewHeight){
		listbox1.height = listboxSize;
	}else{
		listbox1.height = subviewHeight;
	}
}

//listbox >> playlist interaction

function setSelectedPl(){
	//get Item Index of the currently selected Listbox1 item
	
	if (false == loadSwitch("lbLoaded")) { return; }
						
	saveSwitch("searchResPl","FALSE");
	
	var currentItem = listbox1.getItem(listbox1.selectedItem);
	var newItem;
	var savedPl = theme.loadPreference("playlist");
	
	//special cases
	if (currentItem == "Now Playing"){
		if (savedPl == "Open File"){
			var savedPl = player.currentPlaylist.name;
			theme.savePreference("playlist", savedPl);
			setSelectedPl();
			
			//somehow doesn't work, don't ask me why
			
		}else{
			newItem = player.currentPlaylist;
		}
	}
	//CD recognizing...
	else if (currentItem.indexOf("Drive ") != -1){
		
		//get the letter from "Drive X:"
		var specifier = currentItem.substr(6,2);
		
		//compare them, set playlist
		for (i=0;i<player.cdromCollection.count;i++){
			if (specifier == player.cdromCollection.item(i).driveSpecifier){
				newItem = player.cdromCollection.item(i).playlist;
			}
		}
	}else{
		var newPlaylist = player.playlistCollection.getByName(currentItem);
		
		if (newPlaylist.count > 0){
			newItem = newPlaylist.item(0);
		}
	}
	
	playlist1.playlist = newItem;
}

function playSelectedPl(){
	var currentItem = listbox1.getItem(listbox1.selectedItem);
	var currentPl = player.currentPlaylist.name;
	theme.savePreference("playlist", currentItem);
	
	if(currentItem == "Now Playing"){
		//remember the true name...
		theme.savePreference("playlist", player.currentPlaylist.name);
		player.controls.play();
		return;
	}
	else if(currentItem != currentPl){
		player.currentPlaylist = playlist1.playlist;
		player.currentPlaylist.name = currentItem;
		player.controls.play();
		return;
	}
	else{
		player.controls.play();
		return;
	}
}
//Now Playing refreshing with a timer, avoiding loop...


function refreshPl(){	
	if(false==loadSwitch("searchResPl")&&listbox1.selectedItem == 0)
	{
		saveSwitch("refresher","TRUE");
	}
}

function plChecker(){
	if (true==loadSwitch("refresher")&&false==loadSwitch("searchResPl"))
	{
		saveSwitch("refresher", "FALSE");
		playlist1.playlist = player.currentPlaylist;
	}
}

//ripping

var ripModeSwitch = false;

function goToRipMode(){
	
	if (!ripModeSwitch){
		libTitle.image = "plist_rip.png";
		playlist1.visible = false;
		playlist2.visible = true;
		listbox1.visible = false;
		listbox2.visible = true;
		ripModeSwitch = !ripModeSwitch;
		
		saveSwitch("ripListLoaded","FALSE")
		
		populateRipListbox();
		updateRipText();
		
		if (listbox2.selectedItem < 0) {
			listbox2.selectedItem = 0
		}
	
	}
	
	else {
		libTitle.image = "plist_lib.png";
		playlist1.visible = true;
		playlist2.visible = false;
		listbox1.visible = true;
		listbox2.visible = false;
		ripModeSwitch = !ripModeSwitch;
		
		if (listbox1.selectedItem < 0) {
			listbox1.selectedItem = 0;
		}
	}
}

function populateRipListbox() {
	
		listbox2.deleteAll();
		
		var cdCollectionCount = player.cdromCollection.count;
		
		for (i=0;i<cdCollectionCount;i++)
		{
			var cdItem = player.cdromCollection.item(i);
			var cdString = "Drive " + cdItem.driveSpecifier + " " + cdItem.playlist.name;
			listbox2.appendItem(cdString);
		}
		//fixing item
		
		saveSwitch("ripListLoaded","TRUE")
}

function setRipPl(){
	if (false==loadSwitch("ripListLoaded")) return;
	
	var currentItem = listbox2.getItem(listbox2.selectedItem);
	var specifier = currentItem.substr(6,2);
	var newItem;
	
	if (currentItem.indexOf("Drive ") != -1){
		//compare 'em, set playlist
		for (i=0;i<player.cdromCollection.count;i++){
			if (specifier == player.cdromCollection.item(i).driveSpecifier){
				newItem = player.cdromCollection.item(i).playlist;
			}
		}
		playlist2.playlist = newItem;
	}
	
	updateRipText();
}

function updateRipText() {
	var pl = playlist2.playlist;
	
	if (pl.count == 0){
		ripCdButton.enabled = false;
		abortRipButton.enabled = false;
		ripInfoText.value = "The selected CD does not contain any songs...";	
	}
	else if (loadSwitch("ripping"))
	{
		ripInfoText.value = ">>> CD is being ripped, click Abort to stop ripping";
		ripCdButton.enabled = true;
		abortRipButton.enabled = true;
	}
	else
	{
		ripCdButton.enabled = true;
		abortRipButton.enabled = true;
		ripInfoText.value = "Click Rip CD to rip marked songs";	
	}

}

function ripCd() {
	playlist2.copy();
	saveSwitch("ripping", "TRUE");
	updateRipText();
}

function abortRip() {
	//fixing an issue with the listbox while ripping, basicly restarting
	if(playlist2.copying == false){
		playlist2.copy();
		playlist2.abortCopy();
	}else{
		playlist2.abortCopy();
	}
	saveSwitch("ripping", "FALSE");
}

//VIDEO MODE
function loadVid()
{	
	if(theme.loadPreference("slideTab")=="--") {slideReverse=true;}
	else{
		slideReverse = loadSwitch("slideTab");
	}
	saveSwitch("vidWindow", true);
	updateVolumeToolTip2();
	updateSeekToolTip();
	updateZoomToolTip();
	checkZoomMode();
	slideSettings();
}

function saveVid()
{
	saveSwitch("slideTab", !slideReverse);
}

function checkVidSize()
{
	if(player.openState!=13) return;
	loadVidSize();
}

function saveVidSize()

{
	theme.savePreference("vidHeight",view.height);
	theme.savePreference("vidWidth",view.width);
	mediacenter.videoZoom = 50;
	zoomButton.upToolTip = zoomTipBase.tooltip;
	saveSwitch("vidSnapMode",false);
}

function loadVidSize()
{
var videoSize = theme.loadPreference("vidWidth");

    if( "--" != videoSize )
    {
        view.width = videoSize;
    }
    else
    {
		view.width = view.minWidth;
	}
    videoSize = theme.loadpreference("vidHeight");

    if( "--" != videoSize )
    {
        view.height = videoSize;
    }
     else
    {
		view.height = view.minHeight;
	}
}


function checkVideoState()
{
	if (player){
	
		switch (player.playState)
		
			{
			
			case 3: 	//playing
			
				if(!player.currentMedia.ImageSourceWidth>0)
				{
					saveSwitch("vidWindow", false);
					view.close();
					break;
				}
				vidOuterFrame.visible = true;
				vidPlayPatch.backgroundImage = "vid_patch_normal.png";
				checkZoomMode();
				break;
			case 8:
				return;
				break;
			}
			buttonVidResize.enabled = true;
			fullscreenButton.enabled = true;
			vidPause.visible = false;
			zoomButton.enabled = true;
			vidPauseButton.enabled = true;
		}

	if (!player.controls.isAvailable("stop")) {
		vidOuterFrame.visible = false;
		buttonVidResize.enabled = false;
		fullscreenButton.enabled = false;
		vidPauseButton.enabled = false;
		zoomButton.enabled = false;
		view.width = view.minWidth;
		view.height = view.minHeight;
		vidPause.visible = true;
		vidPlayPatch.backgroundImage = "vid_patch_play.png";
	}
	
	checkDVDButtons();
}

function checkDVDButtons() {
	if (player.dvd.isAvailable("topMenu") || player.dvd.isAvailable("titleMenu")){ menuButton.enabled = true;} 
		else {menuButton.enabled = false;}
	if (player.dvd.isAvailable("resume")){ backButton.enabled = true;} 
		else {backButton.enabled = false;}
}

function goToMenu(){
	if (player.dvd.isAvailable("topMenu") || player.dvd.isAvailable("titleMenu")){
		player.dvd.topMenu();
	}
	if (player.isAvailable("resume")){
		backButton.enabled = true;
	}
}

function checkVideoView()
{
	if (player){
		switch (player.playState){
			case 3: 	//playing

				if((!loadSwitch("vidWindow")) && player.currentMedia.ImageSourceWidth>0){
					theme.openView("vidView");
				}
				break;
			}
		}

}

function slideSettings()
{
	if(slideReverse==false)
	{
		vidSettingsTab.moveTo(0,view.height-97, 350);
		vidButtonSub.moveTo(0,view.height-13, 350);
		slideReverse = true;
		settingsButton.down = true;
	}
	
	else
	{
		vidSettingsTab.moveTo(0,view.height-179, 350);
		vidButtonSub.moveTo(0,view.height-95, 350);
		slideReverse = false;
	}
}

//Video Zoom

function checkZoomMode()
{
	if(theme.loadPreference("vidSnapMode")=="--")saveSwitch("vidSnapMode",false);
	if(loadSwitch("vidSnapMode"))
	{
		snapVid();
	}
	else
	{
		checkVidSize();
	}
	//slideSettings();
}

function vidZoom()
{
	
	if(!loadSwitch("vidSnapMode"))
	{
		mediacenter.videoZoom = 50;
	}
	
	if(mediacenter.videoZoom<51)
	{
		mediacenter.videoZoom = 100;
	}
	else if(mediacenter.videoZoom<101)
	{
		mediacenter.videoZoom = 200;
	}
	else
	{
		mediacenter.videoZoom = 50;
	}
	snapVid();
	updateZoomToolTip();
}

function updateZoomToolTip()
{
	if(!loadSwitch("vidSnapMode"))
	{
		zoomButton.upToolTip = zoomTipBase.toolTip;
	}
	
	if(mediacenter.videoZoom<51)
	{
		zoomButton.upTooltip = "Zoom 100%";
	}
	else if(mediacenter.videoZoom<101)
	{
		zoomButton.upTooltip = "Zoom 200%";
	}
	else if(mediacenter.videoZoom<201)
	{
		zoomButton.upTooltip = "Zoom 50%";
	}
	
}
function snapVid()
{
	saveSwitch("vidSnapMode",true);
	
	var zoom = mediacenter.videoZoom;
	var viewWidth = (player.currentMedia.imageSourceWidth * (zoom/100.00));
	var viewHeight = (player.currentMedia.imageSourceHeight * (zoom/100.00));

	view.width = viewWidth + 70;
	view.height = viewHeight + 152;
}

//Equalizer

function loadEq()
{
	saveSwitch("eqWindow", true);
	var tension = theme.loadPreference("eqTension");

	if(tension != "--"){
		eqsettings.splineTension = tension;
	}else{
		eqsettings.splineTension = 2;
	}
	
	checkTensionDownStatus();
	updateSpeakerButton();
}

function saveEq()
{
	var tension = eqsettings.splineTension;
	theme.savePreference("eqTension", tension);
}

function toggleTension(button)
{
	if(button=="soft")
		{
			eqSoft.down = true;
			eqHard.down = false;
			eqOff.down = false;
			eqsettings.splineTension = 2;
		}
	else if(button=="hard")
		{
			eqHard.down = true;
			eqOff.down = false;
			eqSoft.down = false;
			eqsettings.splineTension = 8;
		}
	else
		{
			eqOff.down = true;
			eqSoft.down = false;
			eqHard.down = false;
			eqsettings.splineTension = 0;
		}
}

function checkTensionDownStatus()
{
	if(eqsettings.splineTension==0) 
	{
		eqOff.down = true;
		//toggleTension("");
	}
	if(eqsettings.splineTension>0 && eqsettings.splineTension<=2) 
	{
		eqSoft.down = true;
		//toggleTension("soft");
	}
	if(eqsettings.splineTension>2) 
	{
		eqHard.down = true;
		//toggleTension("hard");
	}
}

function toggleBox()
{
	if(eqsettings.speakerSize==2)
	{
		eqsettings.speakerSize = -1;
	}
	eqsettings.speakerSize++;
	updateSpeakerButton()

}

function updateSpeakerButton() {
	speakerButton.upTooltip = "Current Speakers: " + eqsettings.currentSpeakerName;
}

//Visualisations

function saveVis()
{
	saveViewSize("visWidth","visHeight");
	mediacenter.effectType = visEffects.currentEffectType;
	mediacenter.effectPreset = visEffects.currentPreset;
}

function loadVis()
{
	saveSwitch("visWindow", true);
	sizeView("visWidth","visHeight");
	setVisText();
	setVisMetaData();
	updateTextWidth();
}

function checkVisualisationsView()
{
	if (player){
		switch (player.playState){
			case 3: 	//playing

				if(player.currentMedia.ImageSourceWidth>0){
					saveSwitch("visWindow",false);
					view.close();
				}
				setVisMetaData();
				break;
			}
		}

}

function setVisText()
{
	visEffectText.value = visEffects.currentEffectTitle + " : " + visEffects.currentPresetTitle;
}

function showName() {
	visNameSub.alphaBlendTo(255,200);
	setVisText();
}
	
function hideName() {
	visNameSub.alphaBlendTo(0,500);
}

function showMetaData() {
	visMetaDataSub.alphaBlendTo(255,200);
}

function hideMetaData() {
	visMetaDataSub.alphaBlendTo(0,500);
}

function setVisMetaData() {
	if (!player.currentPlaylist.count==0) {
		visMetaData.value = player.currentMedia.name  + " - " + player.currentMedia.getItemInfo("author");
	}else{
		visMetaData.value = "Select Media"
	}
	updateTextWidth();
}

function updateTextWidth() {
	if (visMetaData.textWidth < visMetaDataSub.width){
			visMetaData.width = visMetaData.textWidth;
	}else{
			visMetaData.width = visMetaDataSub.width - 2;
	}
}
//Info Mode

function loadInfo()
{
	saveSwitch("infoWindow", true);
}

var images = false;
var infoReverse = false;
var nr = 1;
var suffix = "";
var limit = 1;
var mode = 0;

function iniInfo() {
	if (!infoReverse) {
			infoSub.visible = true;
			infoSub.alphaBlend = 255;
			infoSub.backgroundImage = "info_ini.gif";
			switchOffSub.visible = true;
			switchOff.enabled = true;
			switchOnSub.visible = false;
			switchOn.enabled = false;
			menuGrp.visible = false;
			menuback.visible = false;
			ledSub.backgroundImage = "info_led_ini.gif";
			nextGrp.image = nextGrp.hoverImage;
			prevGrp.image = prevGrp.hoverImage;
			driveSub.backgroundImage = "info_drive_ini.gif";
		infoReverse = true;
		infoView.timerInterval = 2600;
		images = true;
	}else if (images)
	{
		images = false;
		nextGrp.image = "info_next_no.gif";
		prevGrp.image = "info_prev_no.gif";
		ledSub.backgroundImage = "info_led_on.gif";
		driveSub.backgroundImage = "info_drive_on.gif";
		inputPages(mode);
	}else{
			infoSub.visible = true;
			infoSub.backgroundImage = "info_reverse.gif";
			infoSub.alphaBlend = 255;
			//infoSub.visible = false;
			switchOffSub.visible = false;
			switchOff.enabled = false;
			switchOnSub.visible = true;
			switchOn.enabled = true;
			menuGrp.visible = false;
			menuback.visible = false;
			ledSub.backgroundImage = "info_led_off.gif";
			driveSub.backgroundImage = "info_drive_off.gif";
			nextGrp.image = "info_next_no.gif";
			prevGrp.image = "info_prev_no.gif";
		infoReverse = false;
		images = false;
		infoView.timerInterval = 0;
	}
}

function inputPages(modeI) {
	switch (modeI) {
		case 0:
			tempSub.backgroundImage = infoSub.backgroundImage;
			infoSub.alphaBlend = 255;
			infoSub.backgroundImage = "info_menu.gif";
			info_prev.enabled = false;
			info_next.enabled = false;
			contactBut.visible = false;
			menuback.visible = false;
			mode = 0;
			nr = 1;
			nextPage();
			break;
		case 1:
			nr--;
			info_prev.enabled = true;
			info_next.enabled = true;
			menuback.visible = true;
			suffix = "art_";
			limit = 4;
			mode = 1;
			nextPage();
			break;
			
		case 2:
			nr--;
			info_prev.enabled = true;
			info_next.enabled = true;
			menuback.visible = true;
			suffix = "make_";
			limit = 27;
			mode = 2;
			nextPage();
			break;
			
		case 3:
			nr--;
			info_prev.enabled = false;
			info_next.enabled = false;
			contactBut.visible = true;
			menuback.visible = true;
			suffix = "con_";
			limit = 1;
			mode = 3;
			nextPage();
		break;
	}
	
}

function fadeNormalPages () {
	infoSub.alphaBlendTo(255,400);
	infoSub.visible = true;
	if(mode != 0) {
		menuGrp.visible = false;
	}else{
		menuGrp.visible = true;
	}
	//info_prev.enabled = false;
	//info_next.enabled = false;
}

function nextPage() {
	
	infoView.timerInterval = 0;
		
	if (mode == 0) {
		infoSub.alphaBlend = 25;
		tempSub.alphaBlend = 255;
		fadeNormalPages();
	}else{
		
			infoSub.alphaBlend = 25;
			tempSub.alphaBlend = 255;
			
			if (nr < limit){
				nr++;
			}else{
				nr = 1;
			}
			
			tempSub.backgroundImage = infoSub.backgroundImage;
			infoSub.backgroundImage = "info_" + suffix + nr + ".png";
			fadeNormalPages();
	
	}
}

function prevPage() {
	infoSub.alphaBlend = 25;
	tempSub.alphaBlend = 255;
			
			if (nr <= 1){
				nr = limit;
			}else{
				nr--;
			}
			
	tempSub.backgroundImage = infoSub.backgroundImage;
	infoSub.backgroundImage = "info_" + suffix + nr + ".png";
	fadeNormalPages();
}